package intrinsic.flash.net;

public class NetConnection extends intrinsic.flash.events.EventDispatcher {

	/** Accessors */
	public String proxyType;
	public String uri;
	public boolean connected;
	public String connectedProxyType;
	public Object client;
	public boolean usingTLS;
	public int objectEncoding;

	/** Variables */

	/** Constants */

	/** Class Accessors */
	public static int defaultObjectEncoding;

	/** Class variables */

/** Contructors */
public NetConnection() {
}


/** Static Methods */

/** Methods */
public native void close();
public native void connect(String arg0);
public native void call(String arg0, intrinsic.flash.net.Responder arg1);
public native void addHeader(String arg0);
public native void addHeader(String arg0, boolean arg1);
public native void addHeader(String arg0, boolean arg1, Object arg2);

}
